DtDtsFileToAttributeValue(library call)

NAME
DtDtsFileToAttributeValue — get a specified attribute value for a file

SYNOPSIS

#include &<Dt/Dts.h>
char *DtDtsFileToAttributeValue(
const char *filepath,
const char *attr_name);

DESCRIPTION

The DtDtsFileToAttributeValue function returns a data attribute value for the specified file.

The filepath argument is the pathname of the file.

The attr_name argument is a pointer to an attribute name string.

RETURN VALUE

Upon successful completion, the DtDtsFileToAttributeValue function returns a pointer to a data attribute value string, or NULL if no value could be determined.

APPLICATION USAGE

The application should use the DtDtsFreeAttributeValue(3) function to release the memory for the returned value.

EXAMPLES

The following takes a list of files as arguments and determines the description of the data type for each file:

#include &<Dt/Dts.h>
#define ATTRIBUTE       "DESCRIPTION"
main (int argc, char **argv)
{
        char    *attribute;
        /* load data types database */
        DtDtsLoadDataTypes();
        argv++;
        while (*argv) {
                /* get attribute for file */
                attribute = DtDtsFileToAttributeValue(*argv, ATTRIBUTE);
                if (attribute)
                        printf("%s: %s, *argv, attribute);
                argv++;
        }
        DtDtsRelease();
        exit(0);
}

SEE ALSO

Dt/Dts.h, DtDtsLoadDataTypes(3), DtDtsRelease(3), DtDtsFreeAttributeValue(3).